diff -uNrd ircd-hybrid-6.4.1/Hybrid-team ircd-hyb6.4.1-FDFr5.4/Hybrid-team
--- ircd-hybrid-6.4.1/Hybrid-team	Tue Jun 17 18:45:29 2003
+++ ircd-hyb6.4.1-FDFr5.4/Hybrid-team	Wed Oct 15 20:38:25 2003
@@ -1,4 +1,4 @@
-$Id: Hybrid-team,v 1.33 2003/06/17 22:45:29 ievil Exp $
+$Id: Hybrid-team,v 1.1.1.2 2003/10/09 02:47:13 jailbird Exp $
 
   The hybrid team is a group of ircd coders who were frustrated
 with the instability and all-out "dirtiness" of the EFnet ircd's
diff -uNrd ircd-hybrid-6.4.1/INSTALL ircd-hyb6.4.1-FDFr5.4/INSTALL
--- ircd-hybrid-6.4.1/INSTALL	Fri Dec  7 23:12:39 2001
+++ ircd-hyb6.4.1-FDFr5.4/INSTALL	Wed Oct 15 20:38:25 2003
@@ -1,6 +1,6 @@
 ircd-hybrid-6 INSTALL
 ---------------------
-$Id: INSTALL,v 1.12 2001/12/08 04:12:39 wcampbel Exp $
+$Id: INSTALL,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
 
 hybrid-6 relies upon GNU autoconf.  The following is a transcript of
 recommended procedures that users/administrators of hybrid-6 should
diff -uNrd ircd-hybrid-6.4.1/LICENSE ircd-hyb6.4.1-FDFr5.4/LICENSE
--- ircd-hybrid-6.4.1/LICENSE	Thu Oct  5 23:00:46 2000
+++ ircd-hyb6.4.1-FDFr5.4/LICENSE	Wed Oct 15 20:38:23 2003
@@ -1,4 +1,4 @@
-$Id: LICENSE,v 1.2 2000/10/06 03:00:46 lusky Exp $
+$Id: LICENSE,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
 
 		    GNU GENERAL PUBLIC LICENSE
 		     Version 1, February 1989
diff -uNrd ircd-hybrid-6.4.1/README.FDF.NOW ircd-hyb6.4.1-FDFr5.4/README.FDF.NOW
--- ircd-hybrid-6.4.1/README.FDF.NOW	Wed Dec 31 19:00:00 1969
+++ ircd-hyb6.4.1-FDFr5.4/README.FDF.NOW	Sun Nov 16 16:26:37 2003
@@ -0,0 +1,324 @@
+==================
+=Revision History=
+==================
+!!! = Changed
++++ = Added
+--- = Removed
+
+FEFr1: (Runt)
+!!! The length of nicks allowed changed from 9 to 15.
+!!! Each channel is now allowed 50 bans, instead of 25.
+!!! The default config.h value for the max. channels per user is now 20.
++++ Banned users cannot talk. (UnderNet bquiet patch)
+
+FEFr2: (Runt)
+!!! Nothing changed in the hybrid-5 release of FEFr2.
+
+FEFr3: (JailBird)
++++ Added/Enhanced DalNet U:'s added
+!!! TOPIC lengths changed from 80 bytes to 255.
+
+FEFr4wb5 (wide-beta 5): (Runt/JailBird)
++++ WHOIS_SIGNON_TIME; shows when a user signed on in /whois. (Runt)
++++ OPERS_SEE_INVISIBLE; allows opers to see +i users. (Runt)
++++ OPERS_SEE_PRIV; allows opers to see +s/+p chans. (Runt)
++++ DalNet Q:'s added. (JailBird) (integrated in hybrid-6.3.1)
++++ STOPIC; TS-synched channel TOPICs. (JailBird)
+!!! U-lined servers can now send to channels, regardless of modes. (JailBird)
+
+Changes made from +th FEFr4wb5 to +hybrid-5 FEFr4wb5: (JailBird)
++++ HYBRID_ONLY; allow links from +hybrid servers only.
++++ NETNAME; Set the name of the network in the welcome message.
+
+FEFr4: (JailBird)
++++ IDENTD_ONLY; Reject any users not running identd if the I: line calls
+    for it. (Taken from +CSr30) (moved to I: lines in hybrid-6.3.1)
++++ NO_RED_MODES; Reject any duplicate channel modes. (Taken from +CSr30)
++++ IDLE_CHECK; Reject any idle clients. (Taken from +CSr30)
+    (integrated in hybrid-6.3.1)
++++ CHECK_CLONE; Reject any clonebots. (Taken from ircu)
++++ REMOTE_WHOIS; Shows if a remote user /wii's you, while OPERd.
++++ KLINE_CLONES; Will automatically K: line any clonebotters.
+
+Changes made from +th FEFr4 to +hybrid-5 FEFr4: (JailBird)
+!!! Replaced the +CSr25 CLONE_CHECK code with the UnderNet CHECK_CLONE code.
+!!! Reinstated the *@* I: code.  PLEASE USE *@* IN YOUR I: LINES!
+
+FEFr4.1: (JailBird) (Nothing really added, so we just added .1 :) )
+!!! Upgraded the base code from +hybrid-5 to +hybrid-5.3
+    See README.hybrid for those changes.
+--- ANTI_IP_SPOOF was broke in hyb5.3. DON'T USE!
+!!! Fixed buffer overrun in m_stopic.
+!!! Moved RES_SRC to main Makefile.
+!!! Fixed WHOIS_SIGNON_TIME code.
+!!! Cleaned up all gcc warnings.
++++ Added fixes from FEFr4-withfixes.
+!!! Optimized for FEFnet.
+
+FEFr4.2 (JailBird) (bug fixes galore!)
+!!! Updated base code to hybrid-5.3p2
++++ Added NULL checking in m_stopic() to prevent malicious server attacks.
++++ Readded the varargs code, yet changed it to the ANSIfied 'stdargs' in the
+    process. Stdargs is now required, which shouldn't be a problem.
+    (integrated in hybrid-6)
+!!! Replaced the EFnet ircsprintf.c with UnderNet's. It's faster and more
+    flexible. (integrated in hybrid-6)
+!!! Fixed Taner's ugly oper UMODES code. (integrated in hybrid-6.3.1, I THINK)
+!!! Fixed problem with ircd overflowing when looking up access for long hosts.
+    (integrated in hybrid-6.3.1, I THINK)
+!!! Reverted I: lines to our old th-style lines. The server will now ALWAYS
+    check identd, but will only complain/reject if you have a '@' in the I:
+    lines (aka *@*).  This means you can allow non-identd users by adding a
+    I: line for them without the @.  ALL DEFAULT I: LINES SHOULD USE '*@*'!
+--- Removed FOLLOW_IDENT_RFC because of above change.  identd is always checked
+    now.
+--- Removed DO_IDENTD for the same reason. :)
++++ Added NO_REMOTE_INFO to disable INFO requests by remote clients. This helps
+    stop remote clients from splitting servers by flooding remote servers with
+    INFO requests.
+--- Removed the code in channel.c that blasted the TS on a channel when a non-U:
+    server sent a +o MODE.  This is unneeded as the only non-TS servers on our
+    nets are services, which are U:'d. Only a rogue server should ever do this,
+    and if it does, the hacker did a bad job in coding it :).
+    (superseded in hybrid-6.3.1)
+!!! Fixed anti-DNS spoofing /whois code (aka the IP in /whois).
+!!! Changed m_topic so users can see topics on non-secret channels even if
+    they're not in the channel (they can already see it in /list!)
++++ Added OPERS_SEE_TOPIC, which lets Opers see the topics in any channel.
+--- Removed OPERWALL command. It's unneeded and was requested by Dianora :).
+--- Removed KLINE_CLONES option. It simply does NOT work with the UnderNet
+    clone code that we use.  This is a job for the tcm anyways.
+--- Removed NO_RED_MODES. This "feature" could cause channels to become
+    desynched.
+
+FEFr4.3 (JailBird) (watch the bloatware continue!)
++++ Readded SHOW_QUIT - Shows the client's quit reason.
++++ identd-replies of '~' are not longer considered valid.
+    (superseded in hybrid-6.3.1)
++++ The code will now compile cleanly on an Alpha.
+    (integrated in hybrid-6)
+!!! Updated base code to hybrid-5.3p4
+--- Removed NO_REMOTE_INFO, obseleted by 5.3p4
+
+FEFr4.3a (JailBird) (oops!)
+!!! hybrid-5.3p4 redid m_topic(), which killed our U: code.
+
+
+FEFr4.4 (JailBird)
+!!! Fixed proc_answer() code in res.c so that it is now portable.
+    (integrated in hybrid-6)
+!!! Cleaned-up m_stopic()
+!!! Fixed ANTI_IP_SPOOF
++++ Readded AWAY propogation
+!!! Added NO_OPER_FLOOD code to the flud code (integrated in hybrid-6.3.1,
+    I THINK)
+!!! Upgraded base code to hybrid-5.3p6
+!!! Fixed bug in configure script that prevented it from detecting
+    what kind of non-blocking code to use on Linux glibc2 systems.
+    This caused a blocking version to be built, which caused "lockups".
+    (integrated in hybrid-6)
+
+FEFr4.5 (JailBird)
+!!! Updated base code to hybrid-5.3p7.
++++ Added MacOSX compatibility patch by cybin. (integrated in hybrid-6)
+!!! Changed ANTI_IP_SPOOF PING to an unsigned (positive) number.
+!!! Fixed problem with the stdargs vsendto_one() function sending 550-byte
+    packets. (integrated in hybrid-6)
+!!! Renamed existing doc/example.conf to doc/example.conf.bill and wrote
+    a new simplistic doc/exmaple.conf.
+!!! Fixed configure script to automatically setup CC/CFLAGS/IRCDLIBS.  This
+    should fix the "-lcrypt -lresolv" crap. (superseded in hybrid-6)
+
+FEFr4.5a (JailBird)
+!!! Reverted the ANTI_IP_SPOOF PINGs back to signed due to atoi().
+
+FEFr4.6
++++ Readded the old inu+JB patch.
+
+FDFr1
+!!! Upgrade base code to hybrid-6.0
+!!! Changed name of ircd from +FEF to +FDF, since Runt and I are both
+    on FDFnet now.
+!!! VERY IMPORTANT: U: lines are now S: lines!!!
++++ Added FDF_ONLY: Allows connections only from other FDFr5b1 servers.
++++ Added SNICK Support: Services can now force nick changes.
++++ Added DalNet's +c channel mode. Channels that are +c'd will not allow
+    mIRC color or ANSI color to be sent to them.
+--- Removed K_LINES_OPER_ONLY. hybrid-6 will now show non-ops any K:
+    lines that match their hostmask.  This is better.
+!!! The server was ignoring MODE changes from servers, which was breaking
+    INU_SERV_CAN_OP. Fixed.
++++ Added support for JB_SERV_CAN_KICK.
++++ Added +FDF config.h settings to /info reply.
+!!! Fixed autoconf so that it defaults to building a stripped binary.
++++ Readded the UnderNet bquiet patch.
+!!! Fixed identd bug from hybrid-6 code change.
+!!! Fixed OPERS_SEE_INVISIBLE code when doing a /list. This was due
+    to cloning of code in hybrid-6's m_list().
+!!! Fixed the anti-DNS spoofing code (aka IP in /whois). Also changed it
+    so that only IRCops can see the IP. This works better with I-line
+    spoofing.
+!!! Fixed the HACK mesage when people use INU_IGNORE_BANS.
+!!! Fixed REMOTE_WHOIS
++++ If a user doesn't have identd and a '-' in their I: line, then the server
+    will send a NOTICE explaining why they have a '~' in their username.
+!!! Moved opers.txt into the DPATH so that /quote help will work.
+!!! Bumped MAX_BUFFERS down to 10 from 60.
+!!! Changed default config to NO_JOIN_ON_SPLIT_SIMPLE instead of
+    NO_OPS_ON_SPLIT. Hopefully not letting people JOIN channels on
+    split servers will remove the reason to DoS servers.
+--- Removed code to allow people to netsplit hack ops on channels
+    that do not have ops. This is to reduce DoS value.
++++ Added irc.best.net patch to show port numbers in unauthorized client
+    connection messages.
+!!! Hub servers should read the "Important" section below.
++++ Added INFO_OPER_ONLY in order to only allow /info requests from
+    IRC Ops.
+!!! Changed GLINE code so that only 2 opers are required, not 3.
+!!! Changed GLINE code so that GLINEs from S: lined servers are added
+    immediately.
+!!! Disabled DEBUG mode, which should speed-up the server.
+!!! Offical configure command-line for gcc users (using sh,ksh,bash):
+    CC="gcc" CFLAGS="-O6 -fomit-frame-pointer -pipe -w -s" LDFLAGS="-s" \
+    ./configure
+!!! Fixed AlcServ/ErisServ by readding IRCII_KLUDGE code
+!!! Fixed bug were remote nicknames trying to introduce servers would core
+    the server.
++++ IDLE_RESET - Lets you /quote IDLE to set your idle time. -Runt
+--- Removed SHOW_QUIT. This has been superceeded by WINTRHAWK
+
+FDFr5
+!!! Upgraded base code to hybrid-6.2
+--- Removed NETNAME, replaced by hybrid's NETWORK_NAME
+--- Removed HYBRID_ONLY, hybrid-6.2 is effectivly 'HYBRID_ONLY'
+!!! Changed name of server back to +FEF
+!!! Changed FDF_ONLY to FEF_ONLY. The code still passes 'FDF' however, so that
+    it will be backwards compatible.
+!!! Cleaned-up #ifdef's so that the code will compile with gcc 3.0.1
+
+FDFr5.1
+!!! Upgraded base code to hybrid-6.3.1
+!!! Hard-coded FEF_ONLY.  We are always FEF-only now.
+!!! Hard-coded TS5.  We always do TS5.
+!!! Hard-coded TS5_ONLY.  I'm a bastard :)
+!!! Hard-coded BAN_INFO.  Services needs this.
+!!! Hard-coded USE_UH.  Services needs this.
++++ n!u@h is now used for TOPICs instead of just nicks.
+!!! Finally fixed ANTI_IP_SPOOF code to not send negative ping values
+!!! Fixed problem with services adding G: lines.
+--- Removed 'normal' messages.tab and replaced with CUSTOM_ERR version. It's
+    more humorous :)
+
+FDFr5.2
+!!! Fixed ANTI_IP_SPOOF that I broke *sigh*.
+!!! Cleaned-up hybrid identd code.
++++ Added UNGLINE propogation for services, so services can globally UNGLINE
+    somebody.
+!!! Changed default GLINE time from 12 hours to 72.
+!!! Hard-coded GLINES, so that services can use it globally.
+!!! Removed NO_FAKE_GLINES code so that services can remove glines globally.
+!!! Removed IGNORE_BOGUS_TS code so TS won't get desynched on the network.
+
+FDFr5.3
+!!! Fixed STOPIC bug found by klik.
++++ The log file (if enabled) will not be closed and reopened when the server
+    is rehashed. (Requested by Ryan)
+
+FDFr5.4
+!!! Upgraded base code to hybrid-6.4.1.
+!!! On SNICK, just truncate the nick if it's > then NICKLEN, don't kill it.
+!!! Fixed bug where topic user could be cut-off by one char.
+--- Removed REMOTE_WHOIS. This has been superceeded by SHOW_REMOTE_WHOIS.
+!!! Instead of KILLing bad or duplicate nicks, SNICK just now ignores them.
+    It is up to the sending service to check for dupes before it sends SNICK.
+
+===========
+=Important=
+===========
+
+If you are compiling a *HUB SERVER*
+
+MAKE SURE YOU CHANGE THE SPLIT SETTINGS IN YOUR CONFIG.H!
+
+SPLIT_SMALLNET_SIZE should be roughly the number of servers on your network,
+minus a couple as a buffer.
+
+SPLIT_SMALLNET_USER_SIZE should be the LOWEST number of users seem at any
+given time on the network, minus about 10-20 or so as a buffer.
+
+==========
+=Problems=
+==========
+
+Problem #1: Getting "res_" errors during linking.
+Fixes: 1) Make sure "-lresolv" is in your IRCDLIBS= in the Makefile.
+       2) Install bind8.  Add "-I/path/to/bind8/include" to CFLAGS=,
+          and "-L/path/to/bind8/libs -lbind" in the IRCDLIBS=.
+
+Problem #2: The server gives a chdir error when ran.
+Fixes: 1) Real Fix: Edit the DPATH in the config.h
+       2) Temp Fix: Start ircd as "./ircd -d ."
+
+        I hope this helps...
+
+==================
+=Support Channels=
+==================
+
+On FEFnet: Join #continuum
+On FEFnet: Join #continuum
+
+=========
+=Authors=
+=========
+
+The authors of the +FDF server are:
+
+    John "Runt" Leslie         - john@stf.org
+    Dustin "JailBird" Marquess - jailbird@alcatraz.fdf.net
+    Steve "inubus" White       - subuni@users.sourceforge.net
+
+=========
+=Credits=
+=========
+
+We would like to thank the original ircd team for their work.  We would also
+like to thank digital, Taner Halicioglu, and the Hybrid team for their work
+on the base code. Out of the Hybrid team, special thanks goes to Dianora, who
+helped us, even though she didn't have to.
+
+Also thanks to Ryan Kubica on FEFnet for writing services and exploiting our
+S: code to make it work :).
+
+==============
+=Distribution=
+==============
+
+The FDFnet ircd is officially available via FTP from the following locations:
+
+ftp://ftp.fdf.net/pub/irc/
+ftp://ftp.fef.net/pub/irc/
+
+It is also usually mirrored at:
+
+ftp://ftp.liii.com/pub/unix/irc/
+ftp://ftp.bitchx.org/pub/servers/
+
+You can also obtain the newest code in development using CVS. Here at the
+steps needed to pull this off:
+
+1) Get cvs if you don't have it.
+2) cvs -d :pserver:cvs@bobdole.fdf.net:/cvs login  # Password is "cvs".
+3) cvs -d :pserver:cvs@bobdole.fdf.net:/cvs co ircd-FEF
+
+This will create a directory called "ircd-FEF" under the current directory that
+will contain the current source code.  To update the code in the future, run:
+
+        cvs update       (from the ircd-FEF dir)
+
+NOTE: The CVS tree is used for development of the ircd.  This code may be
+      unstable and buggy.  The good part about using this tree, is it's always
+      the newest code! :).
+
+                                        -Dustin "JailBird" Marquess
+
diff -uNrd ircd-hybrid-6.4.1/README.FIRST ircd-hyb6.4.1-FDFr5.4/README.FIRST
--- ircd-hybrid-6.4.1/README.FIRST	Fri Jun  6 04:45:16 2003
+++ ircd-hyb6.4.1-FDFr5.4/README.FIRST	Wed Oct 15 20:38:24 2003
@@ -1,6 +1,6 @@
 ircd-hybrid-6 README
 --------------------
-$Id: README.FIRST,v 1.16 2003/06/06 08:45:16 ievil Exp $
+$Id: README.FIRST,v 1.1.1.2 2003/10/09 02:47:13 jailbird Exp $
 
 If you don't read this first, we won't help you.
 :-)
diff -uNrd ircd-hybrid-6.4.1/README.small_nets ircd-hyb6.4.1-FDFr5.4/README.small_nets
--- ircd-hybrid-6.4.1/README.small_nets	Fri Sep 13 20:17:55 2002
+++ ircd-hyb6.4.1-FDFr5.4/README.small_nets	Wed Oct 15 20:38:24 2003
@@ -1,4 +1,4 @@
-$Id: README.small_nets,v 1.6 2002/09/14 00:17:55 db Exp $
+$Id: README.small_nets,v 1.1.1.2 2003/10/09 02:47:13 jailbird Exp $
 
   On a stand alone server, make sure you #undef NO_JOIN_ON_SPLIT in
 config.h Otherwise, you will have trouble with non opered clients
diff -uNrd ircd-hybrid-6.4.1/RELNOTES ircd-hyb6.4.1-FDFr5.4/RELNOTES
--- ircd-hybrid-6.4.1/RELNOTES	Mon Aug 25 18:53:21 2003
+++ ircd-hyb6.4.1-FDFr5.4/RELNOTES	Wed Oct 15 20:38:24 2003
@@ -1,4 +1,4 @@
-$Id: RELNOTES,v 1.20 2003/08/25 22:53:21 ievil Exp $
+$Id: RELNOTES,v 1.1.1.2 2003/10/09 02:47:13 jailbird Exp $
 
 This is the current release version of ircd-hybrid-6.
 
diff -uNrd ircd-hybrid-6.4.1/adns/adns.h ircd-hyb6.4.1-FDFr5.4/adns/adns.h
--- ircd-hybrid-6.4.1/adns/adns.h	Mon Feb  4 09:49:24 2002
+++ ircd-hyb6.4.1-FDFr5.4/adns/adns.h	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * adns.h: $Id: adns.h,v 1.5 2002/02/04 14:49:24 androsyn Exp $
+ * adns.h: $Id: adns.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *  
  */
 /*
@@ -55,7 +55,7 @@
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
  *
- *  $Id: adns.h,v 1.5 2002/02/04 14:49:24 androsyn Exp $
+ *  $Id: adns.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 
 #ifndef ADNS_H_INCLUDED
diff -uNrd ircd-hybrid-6.4.1/adns/check.c ircd-hyb6.4.1-FDFr5.4/adns/check.c
--- ircd-hybrid-6.4.1/adns/check.c	Thu May  8 22:20:55 2003
+++ ircd-hyb6.4.1-FDFr5.4/adns/check.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * check.c: $Id: check.c,v 1.3 2003/05/09 02:20:55 db Exp $
+ * check.c: $Id: check.c,v 1.1.1.2 2003/10/09 02:47:15 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/dlist.h ircd-hyb6.4.1-FDFr5.4/adns/dlist.h
--- ircd-hybrid-6.4.1/adns/dlist.h	Thu May  8 22:20:55 2003
+++ ircd-hyb6.4.1-FDFr5.4/adns/dlist.h	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * dlist.h: $Id: dlist.h,v 1.4 2003/05/09 02:20:55 db Exp $
+ * dlist.h: $Id: dlist.h,v 1.1.1.2 2003/10/09 02:47:15 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/event.c ircd-hyb6.4.1-FDFr5.4/adns/event.c
--- ircd-hybrid-6.4.1/adns/event.c	Mon Jun 23 23:14:30 2003
+++ ircd-hyb6.4.1-FDFr5.4/adns/event.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * event.c: $Id: event.c,v 1.8 2003/06/24 03:14:30 ievil Exp $
+ * event.c: $Id: event.c,v 1.1.1.2 2003/10/09 02:47:15 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/general.c ircd-hyb6.4.1-FDFr5.4/adns/general.c
--- ircd-hybrid-6.4.1/adns/general.c	Mon Jun 23 23:57:12 2003
+++ ircd-hyb6.4.1-FDFr5.4/adns/general.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * general.c: $Id: general.c,v 1.4 2003/06/24 03:57:12 ievil Exp $
+ * general.c: $Id: general.c,v 1.1.1.2 2003/10/09 02:47:15 jailbird Exp $
  *  
  */
 /*
@@ -29,7 +29,7 @@
  *  along with this program; if not, write to the Free Software Foundation,
  *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
  *
- * $Id: general.c,v 1.4 2003/06/24 03:57:12 ievil Exp $
+ * $Id: general.c,v 1.1.1.2 2003/10/09 02:47:15 jailbird Exp $
  */
 
 #include "fileio.h"
diff -uNrd ircd-hybrid-6.4.1/adns/internal.h ircd-hyb6.4.1-FDFr5.4/adns/internal.h
--- ircd-hybrid-6.4.1/adns/internal.h	Tue Feb  5 23:56:09 2002
+++ ircd-hyb6.4.1-FDFr5.4/adns/internal.h	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * internal.h: $Id: internal.h,v 1.8 2002/02/06 04:56:09 androsyn Exp $
+ * internal.h: $Id: internal.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/parse.c ircd-hyb6.4.1-FDFr5.4/adns/parse.c
--- ircd-hybrid-6.4.1/adns/parse.c	Sun Jan 27 23:26:09 2002
+++ ircd-hyb6.4.1-FDFr5.4/adns/parse.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * parse.c: $Id: parse.c,v 1.3 2002/01/28 04:26:09 androsyn Exp $
+ * parse.c: $Id: parse.c,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/poll.c ircd-hyb6.4.1-FDFr5.4/adns/poll.c
--- ircd-hybrid-6.4.1/adns/poll.c	Tue Dec  4 11:12:11 2001
+++ ircd-hyb6.4.1-FDFr5.4/adns/poll.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * poll.c: $Id: poll.c,v 1.2 2001/12/04 16:12:11 androsyn Exp $
+ * poll.c: $Id: poll.c,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/query.c ircd-hyb6.4.1-FDFr5.4/adns/query.c
--- ircd-hybrid-6.4.1/adns/query.c	Tue Dec  4 11:12:11 2001
+++ ircd-hyb6.4.1-FDFr5.4/adns/query.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * query.c: $Id: query.c,v 1.4 2001/12/04 16:12:11 androsyn Exp $
+ * query.c: $Id: query.c,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/reply.c ircd-hyb6.4.1-FDFr5.4/adns/reply.c
--- ircd-hybrid-6.4.1/adns/reply.c	Tue Dec  4 11:12:11 2001
+++ ircd-hyb6.4.1-FDFr5.4/adns/reply.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * reply.c: $Id: reply.c,v 1.5 2001/12/04 16:12:11 androsyn Exp $
+ * reply.c: $Id: reply.c,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/setup.c ircd-hyb6.4.1-FDFr5.4/adns/setup.c
--- ircd-hybrid-6.4.1/adns/setup.c	Mon Feb  4 11:25:02 2002
+++ ircd-hyb6.4.1-FDFr5.4/adns/setup.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * setup.c: $Id: setup.c,v 1.10 2002/02/04 16:25:02 androsyn Exp $
+ * setup.c: $Id: setup.c,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/transmit.c ircd-hyb6.4.1-FDFr5.4/adns/transmit.c
--- ircd-hybrid-6.4.1/adns/transmit.c	Tue Jun 24 01:30:46 2003
+++ ircd-hyb6.4.1-FDFr5.4/adns/transmit.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * transmit.c: $Id: transmit.c,v 1.6 2003/06/24 05:30:46 ievil Exp $
+ * transmit.c: $Id: transmit.c,v 1.1.1.2 2003/10/09 02:47:15 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/tvarith.h ircd-hyb6.4.1-FDFr5.4/adns/tvarith.h
--- ircd-hybrid-6.4.1/adns/tvarith.h	Tue Dec  4 11:12:11 2001
+++ ircd-hyb6.4.1-FDFr5.4/adns/tvarith.h	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * tvarith.h: $Id: tvarith.h,v 1.2 2001/12/04 16:12:11 androsyn Exp $
+ * tvarith.h: $Id: tvarith.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/adns/types.c ircd-hyb6.4.1-FDFr5.4/adns/types.c
--- ircd-hybrid-6.4.1/adns/types.c	Tue Dec  4 11:12:11 2001
+++ ircd-hyb6.4.1-FDFr5.4/adns/types.c	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * types.c: $Id: types.c,v 1.4 2001/12/04 16:12:11 androsyn Exp $
+ * types.c: $Id: types.c,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  *  
  */
 /*
diff -uNrd ircd-hybrid-6.4.1/autoconf/acconfig.h ircd-hyb6.4.1-FDFr5.4/autoconf/acconfig.h
--- ircd-hybrid-6.4.1/autoconf/acconfig.h	Sun Dec  9 14:02:06 2001
+++ ircd-hyb6.4.1-FDFr5.4/autoconf/acconfig.h	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 /*
- * $Id: acconfig.h,v 1.5 2001/12/09 19:02:06 lusky Exp $
+ * $Id: acconfig.h,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
  */
 
 /* Define only one of POSIX, BSD, or SYSV signals.  */
diff -uNrd ircd-hybrid-6.4.1/autoconf/configure.in ircd-hyb6.4.1-FDFr5.4/autoconf/configure.in
--- ircd-hybrid-6.4.1/autoconf/configure.in	Thu May  8 22:20:56 2003
+++ ircd-hyb6.4.1-FDFr5.4/autoconf/configure.in	Wed Oct 15 20:38:23 2003
@@ -1,4 +1,4 @@
-dnl $Id: configure.in,v 1.30 2003/05/09 02:20:56 db Exp $
+dnl $Id: configure.in,v 1.1.1.2 2003/10/09 02:47:15 jailbird Exp $
 dnl Process this file with autoconf to produce a configure script.
 AC_INIT(include/class.h)
 
diff -uNrd ircd-hybrid-6.4.1/autoconf/install-sh ircd-hyb6.4.1-FDFr5.4/autoconf/install-sh
--- ircd-hybrid-6.4.1/autoconf/install-sh	Thu Oct  5 23:00:51 2000
+++ ircd-hyb6.4.1-FDFr5.4/autoconf/install-sh	Wed Oct 15 20:38:23 2003
@@ -1,5 +1,5 @@
 #! /bin/sh
-# $Id: install-sh,v 1.4 2000/10/06 03:00:51 lusky Exp $
+# $Id: install-sh,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
 # install - install a program, script, or datafile
 # This comes from X11R5 (mit/util/scripts/install.sh).
 #
diff -uNrd ircd-hybrid-6.4.1/doc/INDEX ircd-hyb6.4.1-FDFr5.4/doc/INDEX
--- ircd-hybrid-6.4.1/doc/INDEX	Fri Dec  7 20:59:16 2001
+++ ircd-hyb6.4.1-FDFr5.4/doc/INDEX	Wed Oct 15 20:38:22 2003
@@ -24,4 +24,4 @@
 yline.txt             - A reference guide to Y: lines, and common Y: line
                         issues.
 
-# $Id: INDEX,v 1.3 2001/12/08 01:59:16 wcampbel Exp $
+# $Id: INDEX,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
diff -uNrd ircd-hybrid-6.4.1/doc/Makefile ircd-hyb6.4.1-FDFr5.4/doc/Makefile
--- ircd-hybrid-6.4.1/doc/Makefile	Thu Oct  5 23:00:53 2000
+++ ircd-hyb6.4.1-FDFr5.4/doc/Makefile	Wed Oct 15 20:38:22 2003
@@ -16,7 +16,7 @@
 #*   along with this program; if not, write to the Free Software
 #*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #*
-#*   $Id: Makefile,v 1.2 2000/10/06 03:00:53 lusky Exp $
+#*   $Id: Makefile,v 1.1.1.1 2003/05/09 01:49:28 jailbird Exp $
 #*/
 
 all:
diff -uNrd ircd-hybrid-6.4.1/doc/example.conf ircd-hyb6.4.1-FDFr5.4/doc/example.conf
--- ircd-hybrid-6.4.1/doc/example.conf	Sun Aug 17 02:01:54 2003
+++ ircd-hyb6.4.1-FDFr5.4/doc/example.conf	Wed Oct 15 20:38:22 2003
@@ -1,4 +1,4 @@
-#   $Id: example.conf,v 1.40 2003/08/17 06:01:54 ievil Exp $
+#   $Id: example.conf,v 1.3 2003/10/09 03:49:54 jailbird Exp $
 #   IRC - Internet Relay Chat, doc/example.conf
 #   Copyright (C) 1992, Bill Wisner
 #
@@ -11,8 +11,7 @@
 #   Updated again July 17, 1998 -db
 #   Updated 990102 to take out P: line connection limiting code
 #   Updated again July 5, 1999 -db
-#   Updated for 6.2 Release, 6 June 2001 - wcampbel
-#   Updated the last time, 24 Oct 2001
+#   Updated for 6.1 Release, 6 June 2001 - wcampbel
 #
 #   This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
@@ -45,8 +44,7 @@
 # address of the interface closest to the destination.
 #
 # NOTE:  As of hybrid-6, the port field no longer binds a port by default.
-#        however it defines what port is used by default to connect to
-#        remote servers
+# It is an inoperative and obsolete field.
 #
 M:hayes.ims.alaska.edu:192.168.1.250:University of Alaska Fairbanks:
 # 
@@ -54,7 +52,7 @@
 #    may contain any arbitrary text. It is printed by the /ADMIN command.
 #
 A:University of Alaska Institute of Marine Science:Fairbanks, AK USA:Bill Wisner <wisner@ims.alaska.edu>
-#
+
 #
 # .include lines, insert a file from DPATH directory into the conf
 # you could use this to insert a common file between several
@@ -86,6 +84,11 @@
 # Class numbers must be positive to ensure future modification of ircd to
 # use -1 internally could not be complicated with it's use externally.
 #
+# Contrary to popular belief, having a port in a C: line does not enable
+# autoconnects, the connection frequency field in the Y: line used by the
+# C: line does.  Be sure and properly set the connection frequency
+# properly for all leaf only server connections
+#
 Y:1:90:0:20:100000
 Y:2:90:300:10:4000000
 #
@@ -112,17 +115,14 @@
 ##I:root@128.250.*::root@*.mu.oz.au::1
 
 ## This is a correct example in hybrid-6, the username 
-## is now used for an IP I line.  Specify it in the name field.
+## is not used for an IP I line (this may be changed, its a simple change
 ## but EFnet is currently deprecating the use of non resolving client hosts)
 ## If the IP block has a resolving host name, it will be shown instead
 ## of the IP address. This just serves to allow on an entire block of ip's
 ## without needing to specify each individual hostname.
+## Note, you must use an 'x' in the name field
 
-## Allow any username from this IP block
-I:*@128.250.0.0/16::x::1
-
-## Allow only user db from that IP block
-I:db@128.250.0.0/16::x::1
+I:128.250.0.0/16::x::1
 
 #
 # You can also limit the number of connections from one host
@@ -189,6 +189,8 @@
 ##
 ## < This user is exempt from idle restrictions if IDLE_CHECK is defined
 ##
+## < This user is exempt from idle restrictions if IDLE_CHECK is defined
+##
 
 ## Examples
 ## c) I:NOMATCH::^db@koruna.varner.com::3
@@ -205,8 +207,8 @@
 ##    an IP can be used instead as long as the name field does not begin 
 ##    with an 'x'
 ##    i.e. 
-##    I:db@192.168.0.0/24::x::3 #this is an IP I line
-##    I:db@192.168.0.0::=db@*somesite.com::3 #this is a spoofed IP	
+##    I:192.168.0.0/24::x::3 #this is an IP I line
+##    I:192.168.0.0::db@*somesite.com::3 #this is a spoofed IP	
 #
 # O: authorize operators. Fields are, in order, host name the operator must
 #    be logged in from (wildcards allowed), operator's password, operator's
@@ -363,13 +365,6 @@
 #
 c:kaja.gi.alaska.edu:llamas:kaja.gi.alaska.edu::2
 N:kaja.gi.alaska.edu:llamas:kaja.gi.alaska.edu::2
-#
-# If you wish to bind to a specific IP for an outbound connect
-# There is an optional field after the class number you can use.
-# This binds the outgoing interface to 192.168.0.1
-#
-C:irc.ais.net:hi:irc.ais.net::2:192.168.0.1
-N:irc.ais.net:andy:irc.ais.net::2
 #
 # C and N lines may also use the "user@" combination in the same way as
 # the I-lines.
